import { Hono } from "hono"
import { lazy } from "@/util/lazy"
import { ConsoleRoutes } from "./experimental-console"
import { ReviewRoutes } from "./experimental-review"
import { MCPRoutes } from "./experimental-mcp"

export const ExperimentalRoutes = lazy(() =>
  new Hono()
    .route("/", ConsoleRoutes())
    .route("/", ReviewRoutes())
    .route("/", MCPRoutes())
)
